// Written by TeTeT

ttt_nimitz_teleport = true;

ttt_fnc_teleport = {

	private _selectedIndex = lbCurSel 1000;
	systemChat str _selectedIndex;

	private _destArray = ttt_nimitz_teleportPositions select _selectedIndex;
	ttt_nimitz_teleport_unit setPosASL (_destArray select 1);
	/*systemChat format ["Teleporting to %1", _destArray select 0];*/

};

[] spawn {
	sleep 2;
	if (ttt_nimitz_teleport) then {
		private _nimspots = N getVariable "nimspots";

		private _islandFloor = _nimspots modelToWorld (_nimspots selectionPosition "islandFloor");
		private _islandBridge = _nimspots modelToWorld (_nimspots selectionPosition "islandBridge");
		private _hangarBriefing = _nimspots modelToWorld (_nimspots selectionPosition "hangarBriefing");
		private _hangarWeapons = _nimspots modelToWorld (_nimspots selectionPosition "hangarWeaponsRoom");
		private _hangarEntrance = _nimspots modelToWorld (_nimspots selectionPosition "hangarEntrance");
		private _hangarMedical = _nimspots modelToWorld (_nimspots selectionPosition "hangarMedical");

		private _teleportPositions = [ _islandBridge, _islandFloor, _hangarBriefing, _hangarWeapons, _hangarMedical, _hangarEntrance ];
		ttt_nimitz_teleportPositions = [ ["Bridge", _islandBridge], ["Island", _islandFloor], ["Briefing", _hangarBriefing], ["Weapons", _hangarWeapons],
										 ["Medical", _hangarMedical], ["Entrance", _hangarEntrance] ];
		publicVariable "ttt_nimitz_teleportPositions";
		{
			private _pos = _x;
			private _obj = "ttt_teleport" createVehicle _pos;
			_obj setPosASL _pos;
			[_obj, ["Teleport", {ttt_nimitz_teleport_object = _this select 0; ttt_nimitz_teleport_unit = _this select 1; createDialog 'TeleportDialog' }]] remoteExec ["addAction", 0];
			sleep 1;
		} forEach _teleportPositions;
	};
};